import { ElementRef } from '@angular/core';
import { BackgroundModel, LayOutModel } from '../styles/style.model';
import { Subscription } from 'rxjs';
import { EventsService } from '../services/events.service';
import * as i0 from "@angular/core";
export declare class SpacingAroundDirective {
    private el;
    private eventService;
    layout?: LayOutModel;
    backgroundInfo?: BackgroundModel;
    constructor(el: ElementRef, eventService: EventsService);
    private childDiv?;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    changeAroundSpacing(): void;
    positionLayoutSubscription?: Subscription;
    positionLayoutChangeCheck(): void;
    getBorderColor(bgColor: string): string;
    lightenColor(r: number, g: number, b: number, factor: number): string;
    darkenColor(r: number, g: number, b: number, factor: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpacingAroundDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SpacingAroundDirective, "[spacingAround]", never, { "layout": { "alias": "spacingAround"; "required": false; }; "backgroundInfo": { "alias": "backgroundInfo"; "required": false; }; }, {}, never, never, true, never>;
}
